
const stateData = {
    overlay:{
        show:false,
        data:{
            title:'默认'
        }
    },
    fileData:{}
}
interface overlayData {
    title:string
}
export type AppType = typeof stateData
export const appStore = {
    namespaced: true,
        state: () => ({
            ...stateData
        }),
    mutations: {
        TOGGLE_OVERLAY(state:AppType){
            state.overlay.show = !state.overlay.show
        },
        SET_OVERLAY(state:AppType,payload:overlayData){
            Object.assign(state.overlay.data,payload)
        },
        SET_FILEDATA(state:AppType,payload:any){
            state.fileData = payload
        }
    },
    actions: {

    },
    getters: {

    }
  };
  